/*******************************************************************************
 * FoxDroppedPickup generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDroppedPickup extends DroppedPickup
    abstract
    native
    hidecategories(Navigation);

var string PickupMeshReference;
var export editinline StaticMeshComponent PickupMesh;
var const AkEvent PickupSound;
var export editinline MaterialInstanceConstant HRVMaterial;
var() array<MaterialInstanceConstant> MICs;

simulated function PostBeginPlay()
{
    local int I;

    super(Actor).PostBeginPlay();
    // End:0xDA
    if(PickupMesh != none)
    {
        PickupMesh.SetStaticMesh(StaticMesh(DynamicLoadObject(PickupMeshReference, class'StaticMesh', false)));
        I = 0;
        J0x6A:
        // End:0xDA [Loop If]
        if(I < PickupMesh.GetNumElements())
        {
            MICs.AddItem(PickupMesh.CreateAndSetMaterialInstanceConstant(I));
            ++ I;
            // [Loop Continue]
            goto J0x6A;
        }
    }
    //return;    
}

simulated event ToggleHRVEffects(const bool bEnabled)
{
    // End:0xB5
    if(HRVMaterial != none)
    {
        // End:0x69
        if(bEnabled)
        {
            PickupMesh.SetDepthPriorityGroup(2);
            PickupMesh.SetMaterial(0, HRVMaterial);
        }
        // End:0xB5
        else
        {
            PickupMesh.SetDepthPriorityGroup(1);
            PickupMesh.SetMaterial(0, MICs[0]);
        }
    }
    //return;    
}

function GiveTo(Pawn P)
{
    // End:0x32
    if(Inventory == none)
    {
        Inventory = Spawn(InventoryClass);
    }
    super.GiveTo(P);
    //return;    
}

state FadeOut
{
    simulated event BeginState(name PreviousStateName)
    {
        bFadeOut = true;
        RotationRate.Yaw = 60000;
        SetPhysics(5);
        LifeSpan = 2.0;
        //return;        
    }

    function bool ValidTouch(Pawn Other)
    {
        return false;
        //return ReturnValue;        
    }
    stop;    
}

auto state Pickup
{
    function bool ValidTouch(Pawn Other)
    {
        return false;
        //return ReturnValue;        
    }
    stop;    
}

defaultproperties
{
    Components(0)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxDroppedPickup.CollisionCylinder'
    Components(1)=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxDroppedPickup.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}